Mail archive
alpine-aports

[alpine-aports] [PATCH] main/gimp: upgrade to 2.8.20

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Fri, 3 Feb 2017 01:59:51 +0200

--
cleanups in apkbuild
removed an unused patch
source url changed to upstream's official
'gimptool' binary moved to -dev
add missing dependency 'dbus'
---
 main/gimp/APKBUILD            | 42 +++++++++++++++++-------------------------
 main/gimp/gimp-curl-fix.patch | 12 ------------
 2 files changed, 17 insertions(+), 37 deletions(-)
 delete mode 100644 main/gimp/gimp-curl-fix.patch
diff --git a/main/gimp/APKBUILD b/main/gimp/APKBUILD
index 13cdc95ba8..d2d2851e09 100644
--- a/main/gimp/APKBUILD
+++ b/main/gimp/APKBUILD
_at_@ -1,35 +1,22 @@
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=gimp
-pkgver=2.8.18
+pkgver=2.8.20
 pkgrel=0
 pkgdesc="GNU Image Manipulation Program"
 url="http://www.gimp.org/"
 arch="all"
 license="GPL"
+depends="dbus"
 makedepends="gtk+-dev libxpm-dev libxmu-dev librsvg-dev dbus-glib-dev
 	libexif-dev desktop-file-utils intltool gegl-dev tiff-dev
 	libjpeg-turbo-dev libpng-dev iso-codes-dev lcms-dev poppler-dev babl-dev"
-install=
 subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
-source="http://ftp.$pkgname.org/pub/$pkgname/v${pkgver%.*}/$pkgname-$pkgver.tar.bz2
-	"
+source="https://download.gimp.org/mirror/pub/$pkgname/v${pkgver%.*}/$pkgname-$pkgver.tar.bz2"
+builddir="$srcdir/$pkgname-$pkgver"
 
-_builddir="${srcdir}/${pkgname}-${pkgver}"
-prepare() {
-	cd "$_builddir"
-
-	for i in $source; do
-		case $i in
-		*.patch)
-			msg "Applying $i..."
-			patch -s -p1 -N -i "$srcdir"/$i || return 1
-			;;
-		esac
-	done
-}
-
-build() { 
-	cd "$_builddir"
+build() {
+	cd "$builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
_at_@ -47,11 +34,16 @@ build() {
 }
 
 package() {
-	cd "$_builddir"
+	cd "$builddir"
 	make DESTDIR="$pkgdir" install || return 1
-	ln -s gimptool-2.0 "$pkgdir/usr/bin/gimptool" || return 1
 }
 
-md5sums="5adaa11a68bc8a42bb2c778fee4d389c  gimp-2.8.18.tar.bz2"
-sha256sums="39dd2247c678deaf5cc664397d3c6bd4fb910d3472290fd54b52b441b5815441  gimp-2.8.18.tar.bz2"
-sha512sums="64b259aa5aa9d5afbf1da148ec7f162841f62db2f903c480710273362df62f00344e276b705a13619855e54948aabcd1d9a3788993360f2a52a58189b62fec2f  gimp-2.8.18.tar.bz2"
+dev() {
+	default_dev || return 1
+	mkdir -p "$subpkgdir"/usr/bin
+	mv "$pkgdir"/usr/bin/gimptool* "$subpkgdir"/usr/bin
+}
+
+md5sums="d405640c426b234d6efc36fb4f5bae57  gimp-2.8.20.tar.bz2"
+sha256sums="939ca1df70be865c672ffd654f4e20f188121d01601c5c90237214101533c805  gimp-2.8.20.tar.bz2"
+sha512sums="5cd02854e21098c0d9d929e9131ede628ed520b6c76190eb9f6db38f057cff956e35b0a891d04c3a2e9c9e85c77f82d7ff5e63404187a8df921553763f649fd7  gimp-2.8.20.tar.bz2"
diff --git a/main/gimp/gimp-curl-fix.patch b/main/gimp/gimp-curl-fix.patch
deleted file mode 100644
index ea8935d008..0000000000
--- a/main/gimp/gimp-curl-fix.patch
+++ /dev/null
_at_@ -1,12 +0,0 @@
-diff --git a/plug-ins/file-uri/uri-backend-libcurl.c b/plug-ins/file-uri/uri-backend-libcurl.c
-index a566966..747dca7 100644
---- a/plug-ins/file-uri/uri-backend-libcurl.c
-+++ b/plug-ins/file-uri/uri-backend-libcurl.c
-_at_@ -24,7 +24,6 @@
- #include <errno.h>
- 
- #include <curl/curl.h>
--#include <curl/types.h>
- #include <curl/easy.h>
- 
- #include <glib/gstdio.h>
-- 
2.11.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Feb 03 2017 - 01:59:51 GMT